<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Hausmeister\Raumbelegung\MedienUebersicht;

class MedienEintragView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'hausmeister/raumbelegung/medieneintrag.sgt';
  }

  protected function getBodyDataModulArray()
  {
    return $this->viewModel->columns;
  }

  protected function getBodyExportAdapter()
  {
    $datamodul = $this->viewModel->kurstag;
    
    
    $datamodul->zugeordneteGebaeudeNamen = $this->viewModel->zugeordneteGebaeudeNamen;

    return new \ExpColumn(
      $this->viewModel->toolSection,
      $this->viewModel->toolSettings,
      $this->viewModel->kurstag
    );
  }

  protected function getDefaultDataModulArray()
  {
    return array($this->viewModel->index => $this->viewModel->kurstag);
  }

  protected function getDefaultExportAdapter()
  {
    return new \ExpKurstage(true);
  }
}

class MedienEintragViewModel
{
  public $kurstag;
  public $columns;
  public $index;
  public $zugeordneteGebaeudeNamen;
  public $toolSection;
  public $toolSettings;
}